Loading...
Searching...
No Matches
matrixhierarchy.hh File Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Provides a classes representing the hierarchies in AMG. More...

`#include <algorithm>`
`#include <tuple>`
`#include "aggregates.hh"`
`#include "graph.hh"`
`#include "galerkin.hh"`
`#include "renumberer.hh"`
`#include "graphcreator.hh"`
`#include "hierarchy.hh"`
`#include <dune/istl/bvector.hh>`
`#include <dune/common/parallel/indexset.hh>`
`#include <dune/istl/matrixutils.hh>`
`#include <dune/istl/matrixredistribute.hh>`
`#include <dune/istl/paamg/dependency.hh>`
`#include <dune/istl/paamg/indicescoarsener.hh>`
`#include <dune/istl/paamg/globalaggregates.hh>`
`#include <dune/istl/paamg/construction.hh>`
`#include <dune/istl/paamg/smoother.hh>`
`#include <dune/istl/paamg/transfer.hh>`

Go to the source code of this file.

## Classes

class | Dune::Amg::MatrixHierarchy< M, PI, A >
| The hierarchies build by the coarsening process. More...
struct | Dune::Amg::MatrixHierarchy< M, PI, A >::MatrixStats< Matrix, true >::calc
class | Dune::Amg::CoarsenCriterion< T >
| The criterion describing the stop criteria for the coarsening process. More...

## Namespaces

namespace | Dune
namespace | Dune::Amg

## Enumerations

enum | { Dune::Amg::MAX_PROCESSES = 72000 }

## Functions

template<typename M, typename C1>
bool | Dune::Amg::repartitionAndDistributeMatrix (const M &origMatrix, std::shared_ptr< M > newMatrix, SequentialInformation &origComm, std::shared_ptr< SequentialInformation > &newComm, RedistributeInformation< SequentialInformation > &ri, int nparts, C1 &criterion)
template<typename M, typename C, typename C1>
bool | Dune::Amg::repartitionAndDistributeMatrix (const M &origMatrix, std::shared_ptr< M > newMatrix, C &origComm, std::shared_ptr< C > &newComm, RedistributeInformation< C > &ri, int nparts, C1 &criterion)

## Detailed Description

Provides a classes representing the hierarchies in AMG.

Author
  Markus Blatt